查询促销活动列表 - 管理促销
POST
/basicOpen/promotionalActivities/manage/list接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/promotionalActivities/manage/list | HTTPS | POST | 1 |
请求参数
start_datestringend_datestringsidsarray<any>offsetintegerlengthinteger返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
promotion_idstring必填namestring必填sidinteger必填promotion_typeinteger必填currency_iconstring必填origin_statusstring必填promotion_codestring必填sales_amountstring必填sales_volumestring必填participate_conditionstring必填participate_condition_numstring必填buyer_getsstring必填buyer_gets_numstring必填purchase_productstring必填discount_productstring必填exclude_productstring必填exchange_limitinteger必填promotion_start_timestring必填promotion_end_timestring必填first_sync_timestring必填last_sync_timestring必填remarkstring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "90930764718445a4af61b88a655ef10b.1694510506428",
"response_time": "2023-09-12 17:21:47",
"data": [
{
"name": "sss测试",
"sid": 31,
"promotion_type": 4,
"currency_icon": "JP¥",
"origin_status": "EXPIRED",
"promotion_code": "不需要",
"sales_amount": "0.00",
"sales_volume": "0",
"participate_condition": "At least this quantity of items\n80",
"participate_condition_num": "80",
"buyer_gets": "Percent off\n1",
"buyer_gets_num": "1",
"purchase_product": "测试1",
"discount_product": "测试1",
"exclude_product": "",
"exchange_limit": "0",
"promotion_start_time": "2023-01-10 10:00:00",
"promotion_end_time": "2023-01-10 23:59:00",
"first_sync_time": "2023-02-22 11:53:04",
"last_sync_time": "2023-02-23 17:34:32",
"remark": ""
}
],
"total": 1
}